<ion-header>
    <ion-toolbar color=secondary no-padding center>
      <ion-buttons slot="start">
        <ion-menu-button>
        </ion-menu-button>
      </ion-buttons>
      <ion-label style="font-size: 22pt;" center no-padding> Réservation </ion-label>
    </ion-toolbar>
  </ion-header>

<ion-content>
    <h1>Choisir votre Emplacement</h1>
<ion-card class="card">
  <ion-card-content>
  <ion-label>Matricule</ion-label>
  
  <ion-select placeholder="Select One" [(ngModel)]="vehicule" class="bar-dark">
      <ion-select-option *ngFor="let item of vehicules" value={{item.mat}}>{{item.mat}}</ion-select-option>

    </ion-select>
  <br>
  
  <div text-center >
     
  <ion-button href="/menu/map" color=secondary class="b5"><img src="../../assets/gps.png" class="icon" /></ion-button>
</div> 
  <ion-list margin>
    <ion-list-header>Ville Selection :<img src="../../assets/map.png" class="icon2" /></ion-list-header>
    

      <ion-select (ionChange)="muni($event)" placeholder="Select One" class="bar-dark">
        <ion-select-option  *ngFor="let item of ville" value={{item.id}}>{{item.nom}}</ion-select-option>

      </ion-select>
    
  </ion-list>
  <ion-list *ngIf="mun.length > 0 " margin>
    <ion-list-header>Municipalité Selection :<img src="../../assets/city-hall.png" class="icon2" /></ion-list-header>
    

      <ion-select (ionChange)="nzone($event)" placeholder="Select One" class="bar-dark">
        <ion-select-option *ngFor="let item of mun" value={{item.id}}>{{item.nom_mun}}</ion-select-option>

      </ion-select>
    
  </ion-list>
  <ion-list margin *ngIf="zone.length > 0 ">
    <ion-list-header>Zone Selection :<img src="../../assets/buildings.png" class="icon2" /></ion-list-header>
    

      <ion-select (ionChange)="park($event)" placeholder="Select One" class="bar-dark">
        <ion-select-option *ngFor="let item of zone" value={{item.id}}>{{item.nom_zone}}</ion-select-option>

      </ion-select>
    
  </ion-list>
  <ion-list margin *ngIf="parking.length > 0 ">
  <ion-list-header>Parking Selection :<img src="../../assets/parking.png" class="icon2" /></ion-list-header>
  

    <ion-select placeholder="Select One" [(ngModel)]="parki" class="bar-dark">
      <ion-select-option *ngFor="let item of parking" value={{item.id}}>{{item.nom_park}}</ion-select-option>

    </ion-select>
  
  </ion-list>
<ion-list>
  <ion-list-header>Temps Selection :<img src="../../assets/timer.png" class="icon2" /></ion-list-header>
  
  <ion-select (ionChange)="select()" [(ngModel)]="temp"  placeholder="Choisir temp" class="bar-dark">
    <ion-select-option value="30">30 minute</ion-select-option>
    <ion-select-option value="45">45 minute</ion-select-option>
    <ion-select-option value="60">1 heure</ion-select-option>
    <ion-select-option value="90">1h & 30min</ion-select-option>
    <ion-select-option value="120">2 heure</ion-select-option>
  </ion-select>
</ion-list>

</ion-card-content>
</ion-card>
<div text-center> 
  <ion-button (click)="fact()" color=secondary>Parker votre voiture</ion-button>
</div>
</ion-content>